# CreateVirtualDirectory.AppType

[This is preliminary documentation and subject to change.]

The different ways a (virtual) directory in IIS can be configured as an application.

### Fields

Field | Description
--- | ---
InProcess | Virtual directory is configured as an in-process application.
None | Virtual directory is not configured as an application.
OutOfProcess | Virtual directory is configured as an out-of-process application.
Pooled | Virtual directory is configured as a pooled out-of-process application. For IIS4 this is the same as `OutOfProcess`.

### Requirements

Assembly: NAnt.Contrib.Tasks (0.93.5002.0)